export const supportedArchitectures: string[];
export const supportedOsFamily: {};
export const supportedOsAndFamilyMap: {};
export namespace providerMetadataMap {
    namespace amazonKeys {
        const x86_64: {
            'Ubuntu_18.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            'Ubuntu_20.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            CentOS_7: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            RHEL_7: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            RHEL_8: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            'MacOS_10.15': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            WindowsServer_2019: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
        };
    }
    namespace gcloudKey {
        const x86_64_1: {
            'Ubuntu_18.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            'Ubuntu_20.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
            CentOS_7: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
            };
        };
        export { x86_64_1 as x86_64 };
    }
    namespace azureKeys {
        const x86_64_2: {
            'Ubuntu_18.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
                osType: string;
            };
            'Ubuntu_20.04': {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
                osType: string;
            };
            CentOS_7: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
                osType: string;
            };
            WindowsServer_2019: {
                supportedFields: string[];
                requiredFields: string[];
                supportedInstanceSizes: string[];
                osType: string;
            };
        };
        export { x86_64_2 as x86_64 };
    }
}
export function getProviderMetadataMap(): any;
export function isSupportedArchitecture(architecture: any): any;
export function isSupportedOperatingSystem(architecture: any, operatingSystem: any): boolean;
export function getBuildPlaneArtifactExtension(architecture: any, operatingSystem: any): string;
export function getScriptFileExtension(architecture: any, operatingSystem: any): string;
export function getBaseImage(architecture: any, operatingSystem: any): string;
export function getProviderSupportedFields(provider: any, architecture: any, operatingSystem: any): string;
export function getProviderRequiredFields(provider: any, architecture: any, operatingSystem: any): string;
export function getProviderInstanceSizes(provider: any, architecture: any, operatingSystem: any): string;
export function getProviderData(provider: any, architecture: any, operatingSystem: any): any;
export function areProviderSupportedFieldsValid(provider: any, architecture: any, operatingSystem: any, fields: any): boolean;
export function areProviderRequiredFieldsPresent(provider: any, architecture: any, operatingSystem: any, fields: any): boolean;
export function getScriptFileExtensionForOsFamily(osFamily: any): string;
export function isOsFamilyListValid(osList: any): boolean;
export const OS_FAMILY_MACOS: "MacOS";
export var supportedArchAndOsMap: {};
export var buildPlaneArtifactFileExtensionMap: {};
export var nodeInitScriptFileExtensionMap: {};
export var nodePlatformBaseImageMap: {};
