import { AmqpPublisher } from '@jfrog-pipelines/amqp-client';
import { Node, NodePool } from '@jfrog-pipelines/data-access-layer';
export declare class NodeCollector {
    private readonly nodeService;
    private logger;
    constructor(publisher: AmqpPublisher);
    deProvision(nodePool: NodePool, requiredNodes: number): Promise<void>;
    collectOrphanNodes(): Promise<number>;
    filterIdleNodes(nodePool: NodePool, nodes: Node[]): Node[];
    private isNodeIdle;
    private getNodes;
    private filterRequiredNodes;
    private getIdleNodes;
    private computeDeleteState;
    private getNodeDeleteCondition;
    private hasNodeExpired;
    private hasCachedNodeExpired;
    private isNodeInactive;
    private isCachedNodeInactive;
    private checkIfNodeProvisionedToday;
    private isCachedEnabled;
    private isNodeCachedForStopIntervalDays;
    private isSuccessNodePassedIdleInterval;
    private computeCachedState;
    private applyDeleteStateToNodes;
    private applyCachedStateToNodes;
    private getDateTuple;
}
